> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Quote Details

GET https://api-b2b.bigcommerce.com/api/v2/rfq/{quote_id}

Request retrieves the full details of a specific quote based on the provided `quote_id`.

This endpoint provides more detailed information about a specific quote than [Get All Quotes](#get-all-quotes). This includes details on line items, shipping address fields, and even a history of messages sent by the buyer and their sales representative.

Equivalent Storefront GraphQL API Query: `quote`.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/storefront/request-for-quote/get-rfq-quote-id

## Authentication

- `Authorization` header (bearer token, required) — ### Authentication header | Header | Argument | Description | | :-------------- | :------------------------- | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | `Authorization` | `Bearer {{B2B_JWT_TOKEN}}` | You can obtain this token using the steps described in the [REST Storefront API](/developer/docs/b2b-edition/getting-started/authentication#rest-storefront-api) section\[...] |

## Request

### Path parameters

- `quote_id` (string, required) — The internal numeric ID of the sales quote.

### Query parameters

- `storeHash` (string, required) — The unique alphanumeric store hash for the BigCommerce store.
- `date` (integer, required) — The [Unix timestamp](https://www.unixtimestamp.com/) for when the sales quote was created.
- `uuid` (string, required) — The quote's secondary alphanumeric identifier. This field is only required if the quote has an existing value. Sales quotes created before May 3, 2026 do not have a `uuid` value by default.

## Response

### 200

OK

- `code` (integer, optional, default: 200) — HTTP Response Code
- `message` (string, optional, default: SUCCESS)
- `data` (quoteData_DETAIL, optional)

## Errors

### 404 Not Found Error

Not Found This error occurs if the `storeHash` entered in the query is missing or invalid.

- `code` (integer, optional, default: 404) — HTTP Response Code
- `message` (string, optional, default: Not Found Error)
- `data` (RfqQuoteIdGetResponsesContentApplicationJsonSchemaData, optional)

## Types

### quoteData_DETAIL

- `quoteNumber` (string, optional) — The quote identifier that is visible in the B2B Edition control panel and the Buyer Portal.
- `channelId` (integer, optional) — The storefront channel ID associated with the quote. This is required if your store has multiple storefront channels. Use '1' for your store's default storefront channel.
- `channelName` (string, optional) — The name of the storefront channel associated with the quote.
- `discount` (double, optional) — The total value of discounts applied to the quote. This is presented as a fixed value instead of a percentage.
- `grandTotal` (double, optional) — The quoted total after discounts, shipping, and tax are applied.
- `quoteTitle` (string, optional) — The external title given to the quote.
- `referenceNumber` (string, optional) — An identifier for the quote that can be supplied by the sales rep or the buyer, such as a Purchase Order number.
- `expiredAt` (integer, optional) — The [Unix timestamp](https://www.unixtimestamp.com/) for when the sales quote expires. This is a read-only field.
- `subtotal` (double, optional) — The quoted total after discounts and before shipping and tax.
- `createdBy` (string, optional) — The name of the sales rep or buyer who created the quote.
- `createdAt` (integer, optional) — The [Unix timestamp](https://www.unixtimestamp.com/) for when the sales quote was created.
- `status` (enum, optional) — The numeric ID associated with the quote's status. See [Quote Statuses](/developer/api-reference/rest/b2b/storefront/request-for-quote#quote-statuses) to learn about the statuses that correspond to each ID.
  - Allowed values: `1`, `4`, `5`
- `bcOrderId` (integer, optional) — The BigCommerce order ID associated with the sales quote.
- `orderId` (string, optional) — The B2B Edition internal order ID. Note that this is different from the BigCommerce order ID returned in the `bcOrderId` field.
- `currency` (currency_RESPONSE, optional) — Contains detailed information regarding the quote's currency.
- `extraFields` (list of QuoteDataDetailExtraFieldsItems, optional)
- `contactInfo` (quoteContactInfo, optional) — This object contains the contact information for the buyer in the quote.
- `shippingAddress` (QuoteDataDetailShippingAddress, optional) — Contains information for the shipping address on the quote.
- `billingAddress` (quoteBillingAddress, optional) — Contains information for the shipping address on the quote.
- `recipients` (list of string, optional)
- `trackingHistory` (QuoteDataDetailTrackingHistory, optional) — Contains information about in-quote messages sent by the buyer and the assigned Sales Staff user.
- `productList` (list of QuoteDataDetailProductListItems, optional) — Line item information for the quote.
- `notes` (string, optional) — The quote's buyer-facing notes. Use the newline character ` ` to separate each line of text.
- `legalTerms` (string, optional) — The quote's terms and conditions. Use the newline character to separate each line of text. Omitting this field or leaving it blank does not add your store's default terms and conditions to the quote. Instead, the quote will not display any terms.
- `shippingTotal` (double, optional) — The total cost of shipping on the quote.
- `taxTotal` (double, optional) — The tax value applied to the quote's total.
- `shippingMethod` (quoteData_ORDERED/properties/shippingMethod, optional) — Contains information on the quote's shipping method.
- `storeFrontAttachFiles` (quoteStorefrontAttachFiles, optional) — Information on files attached to the quote by the buyer.
- `backendAttachFiles` (quoteBackendAttachFiles, optional) — Information on files attached to the quote by the buyer.
- `displayDiscount` (boolean, optional) — Determines if buyers can see quoted discount values in the Buyer Portal, or if they only see the quoted prices.
- `allowCheckout` (boolean, optional) — Determines whether or not the buyer can take the quote to the checkout page.
- `storeInfo` (storeInfo, optional)
- `companyInfo` (companyInfo, optional)
- `salesRepInfo` (salesRepInfo, optional)
- `extraFieldsInfo` (list of extraFieldConfig, optional) — The quote extra field configurations for the store.
- `quoteLogo` (string, optional) — The image URL of the store logo added to quote emails and PDFs.

### RfqQuoteIdGetResponsesContentApplicationJsonSchemaData

- `errMsg` (string, optional)

### currency_RESPONSE

Contains detailed information regarding the quote's currency.

- `location` (enum, optional) — Determines whether the currency symbol is added to the left or the right of quote pricing.
  - Allowed values: `left`, `right`
- `token` (string, optional) — The currency symbol.
- `decimalToken` (string, optional) — The character used to separate decimal values in quote pricing.
- `decimalPlaces` (double, optional) — The number of decimal places displayed in quote pricing.
- `thousandsToken` (string, optional) — The character used to separate the hundredths and thousandths places in quote pricing.
- `currencyCode` (string, optional) — The three-letter code corresponding to the quote's currency
- `currencyExchangeRate` (double, optional) — Overrides the built-in exchange rate between your store's default currency and the quote's selected currency. If left blank, the exchange rate defined in your store's settings is used.

### QuoteDataDetailExtraFieldsItems

Contains information about extra fields on the quote.

- `fieldName` (string, optional) — The name of the quote extra field.
- `fieldValue` (string, optional) — The value of the quote extra field.

### quoteContactInfo

This object contains the contact information for the buyer in the quote.

- `name` (string, optional) — The buyer's full name.
- `email` (string, optional) — The buyer's email address.
- `companyName` (string, optional) — The name of the Company associated with the quote's buyer. For B2C customers and guest shoppers, this is the name of their business, if provided.
- `phoneNumber` (string, optional) — The buyer's phone number.

### QuoteDataDetailShippingAddress

Contains information for the shipping address on the quote.

- `address` (string, optional) — The first line of the address."
- `apartment` (string, optional) — The second line of the address.
- `city` (string, optional) — The city on the address.
- `state` (string, optional) — The full name of the state on the address.
- `zipCode` (string, optional) — The postal code on the address.
- `country` (string, optional) — The full name of the country on the address.
- `lastName` (string, optional) — The buyer's last name on the address.
- `addressId` (string, optional) — The unique identifier for a Company account's address.
- `label` (string, optional) — The address label specified in the Company account.
- `firstName` (string, optional) — The buyer's first name on the address.
- `stateCode` (string, optional) — The two-letter code for the state on the address.
- `countryCode` (string, optional) — The two-letter code for the country on the address.
- `phoneNumber` (string, optional) — The phone number on the address.

### quoteBillingAddress

Contains information for the shipping address on the quote.

- `address` (string, optional) — The first line of the address."
- `apartment` (string, optional) — The second line of the address.
- `city` (string, optional) — The city on the address.
- `state` (string, optional) — The full name of the state on the address.
- `zipCode` (string, optional) — The postal code on the address.
- `country` (string, optional) — The full name of the country on the address.
- `lastName` (string, optional) — The buyer's last name on the address.
- `addressId` (string, optional) — The unique identifier for a Company account's address.
- `label` (string, optional) — The address label specified in the Company account.
- `firstName` (string, optional) — The buyer's first name on the address.
- `stateCode` (string, optional) — The two-letter code for the state on the address.
- `countryCode` (string, optional) — The two-letter code for the country on the address.
- `phoneNumber` (string, optional) — The phone number on the address.

### QuoteDataDetailTrackingHistory

Contains information about in-quote messages sent by the buyer and the assigned Sales Staff user.

- `date` (integer, optional) — The [Unix timestamp](https://www.unixtimestamp.com/) for when the message was sent.
- `read` (boolean, optional) — Indicates whether or not a message has been read by the sender. For example, a `read` value of `true` for a message sent by a customer means that the Sales Staff user has read it.
- `role` (string, optional) — The sender of the message. Buyers are designated as `Customer:` while Sales Staff users are designated as `Sales rep:`
- `message` (string, optional) — The contents of the message.

### QuoteDataDetailProductListItems

- `sku` (string, optional) — The line item's SKU.
- `basePrice` (double, optional) — The line item's price before any discounts are applied.
- `discount` (double, optional) — The discount percentage applied to the line item.
- `offeredPrice` (double, optional) — The line item's price after any discounts are applied.
- `quantity` (integer, optional) — The quantity of the line item.
- `productId` (integer, optional) — The unique identifier for the base line item.
- `variantId` (integer, optional) — The unique identifier for the line item variant.
- `imageUrl` (string, optional) — The URL for the line item image on your storefront.
- `orderQuantityMaximum` (integer, optional) — The maximum number of line item units that can be added to the quote.
- `orderQuantityMinimum` (integer, optional) — The minimum number of line item units that can be added to the quote.
- `productName` (string, optional) — The name of the line item.
- `options` (list of OptionListItems, optional) — Variant and modifier option information for the line item.
- `notes` (string, optional) — The buyer-facing notes added to line items in the quote.
- `purchaseHandled` (boolean, optional) — Indicates whether or not the line item is a [custom item](#custom-items). A value of `true` indicates the line item is a custom item.
- `costPrice` (double, optional) — The line item’s cost price.
- `inventoryTracking` (enum, optional) — Indicates whether the line item’s inventory is tracked on the product (product) or variant level (option), or if it is not tracked (none).
  - Allowed values: `none`, `product`, `variant`
- `inventoryLevel` (double, optional) — The available stock for the line item.
- `type` (enum, optional) — Indicates whether the line item is a physical or digital product.
  - Allowed values: `physical`, `digital`
- `isFreeShippig` (boolean, optional) — Indicates whether the line item has product-level free shipping.
- `availability` (enum, optional) — Indicates whether or not the line item is visible on the storefront.
  - Allowed values: `available`, `disabled`
- `isPriceHidden` (boolean, optional) — Indicates whether or not the line item’s price is hidden on the storefront.
- `purchasingDisabled` (enum, optional) — Indicates whether or not the line item is purchasable on the storefront. Non-purchasable products can still be added to a quote as [custom items](#custom-items).
  - Allowed values: `available`, `disabled`
- `foundInBc` (boolean, optional) — Indicates whether or not the line item is present in your store’s catalog.
- `hasInvalidOptions` (boolean, optional) — Indicates whether or not the line item has product options which were removed from your store’s catalog. If a line item has invalid options in an unpurchased quote, it must be updated before the buyer can take it to checkout.
- `productUrl` (string, optional) — The relative URL of the product with respect to your store's domain.

### quoteData_ORDERED/properties/shippingMethod

Contains information on the quote's shipping method.

- `id` (string, optional) — The unique identifier for the shipping method.
- `type` (any, optional) — The type of shipping method added to the quote. Custom shipping methods appear as `custom`, while static and real-time shipping methods appear as `provider_methodtype`, like `shipping_flatrate` or `usps_twodaydomestic`.
- `description` (string, optional) — The name of the shipping method.
- `imageUrl` (string, optional) — The URL of the logo image for the shipping provider, if the quote has a real-time shipping method.
- `transitTime` (string, optional) — The estimated delivery time for a real-time shipping method.
- `cost` (double, optional) — The shipping rate on the quote.
- `additionalDescription` (string, optional) — A secondary description found on some real-time shipping methods.

### quoteStorefrontAttachFiles

Information on files attached to the quote by the buyer.

- `id` (integer, optional) — The unique identifier assigned to the file attachment.
- `fileName` (string, optional) — The attachment’s file name.
- `fileType` (string, optional) — The attachment’s file type.
- `fileUrl` (string, optional) — The download link for the attachment file.

### quoteBackendAttachFiles

Information on files attached to the quote by the buyer.

- `id` (integer, optional) — The unique identifier assigned to the file attachment.
- `fileName` (string, optional) — The attachment’s file name.
- `fileType` (string, optional) — The attachment’s file type.
- `fileUrl` (string, optional) — The download link for the attachment file.

### storeInfo

- `storeName` (string, optional) — The name of the storefront.
- `storeAddress` (string, optional) — The storefront's full origin address. The newline character ` ` is used to separate each line of text.
- `storeCountry` (string, optional) — The full name of the storefront's origin country.
- `storeLogo` (string, optional) — The image URL for the storefront logo.
- `storeUrl` (string, optional) — The storefront's URL.

### companyInfo

- `companyId` (string, optional) — The unique identifier for the Company account.
- `companyName` (string, optional) — The Company account name.
- `companyAddress` (string, optional) — The first line of the primary address for the Company account.
- `copmanyCountry` (string, optional) — The full name of the country on the primary address of the Company account.
- `companyState` (string, optional) — The state of the primary address for the Company account, if applicable.
- `companyCity` (string, optional) — The city of the primary address for the Company account.
- `companyZipCode` (string, optional) — The postal code of the primary address for the Company account.
- `phoneNumber` (string, optional) — The phone number associated with the Company account.
- `companyEmail` (string, optional) — The primary email address of the Company account.
- `bcId` (integer, optional) — The unique identifier for the customer group assigned to the Company account.

### salesRepInfo

- `salesRepName` (string, optional) — The name of the sales rep.
- `salesRepEmail` (string, optional) — The sales rep's email address.
- `salesRepPhoneNumber` (string, optional) — The sales rep's phone number.

### extraFieldConfig

An extra field configuration for quotes.

- `id` (integer, optional) — The unique numeric ID for the extra field.
- `uuid` (string, optional) — UUID of the extra field assigned by B2B Edition.
- `fieldName` (string, optional) — The name of the extra field.
- `labelName` (string, optional) — The label shown for the extra field. Defaults to `fieldName`.
- `fieldType` (enum, optional) — The data type allowed by the extra field. The supported types are text (`0`), multiline text (`1`), number (`2`), and dropdown (`3`).
  - Allowed values: `0`, `1`, `2`, `3`
- `isRequired` (boolean, optional) — Indicates whether the extra field requires a value.
- `isUnique` (boolean, optional) — Indicates whether the extra field's value must be unique when present.
- `visibleToEnduser` (boolean, optional) — Indicates whether the extra field is visible on the storefront.
- `configType` (enum, optional) — Indicates whether the extra field is built in (`1`) or user defined (`2`).
  - Allowed values: `1`, `2`
- `defaultValue` (string, optional) — The default value the extra field takes, if it exists.
- `maximumLength` (string, optional) — The maximum character length for text extra fields. Only present when `fieldType` is `0`.
- `numberOfRows` (string, optional) — The maximum number of rows for multiline text extra fields. Only present when `fieldType` is `1`.
- `maximumValue` (string, optional) — The maximum value of number extra fields. Only present when `fieldType` is `2`.
- `listOfValue` (list of string, optional) — The list of values for dropdown extra fields. Only present when `fieldType` is `3`.
- `valueConfigs` (ExtraFieldConfigValueConfigs, optional) — The raw value configuration stored for the extra field.

### OptionListItems

- `optionId` (integer, optional) — The unique identifier for the line item's variant or modifier option.
- `optionName` (integer, optional) — The name of the line item's variant or modifier option.
- `optionLabel` (string, optional) — The name of the line item's selected option value.
- `optionValue` (integer, optional) — The unique identifier for the line item's selected option value.

### ExtraFieldConfigValueConfigs

The raw value configuration stored for the extra field.

- `defaultValue` (string, optional) — The stored default value.
- `maximumLimit` (string, optional) — The stored limit. Holds the value of `maximumLength`, `numberOfRows`, or `maximumValue`, depending on `fieldType`.
- `listOfValue` (list of string, optional) — The stored dropdown values.
- `labelName` (string, optional) — The stored label, if one was set.

## Examples

**Response**

```json
{
  "code": 200,
  "message": "SUCCESS",
  "data": {
    "quoteNumber": "QN000123",
    "channelId": 1,
    "channelName": "B2B Store",
    "discount": 20,
    "grandTotal": 200,
    "quoteTitle": "Plants Bulk Request",
    "referenceNumber": "04292025-0001",
    "expiredAt": 1749275999,
    "subtotal": 200,
    "createdBy": "Marie Curie",
    "createdAt": 1745346034,
    "status": 1,
    "bcOrderId": 123,
    "orderId": "123456",
    "currency": {
      "location": "left",
      "token": "$",
      "decimalToken": ".",
      "decimalPlaces": 2,
      "thousandsToken": ",",
      "currencyCode": "USD",
      "currencyExchangeRate": 1.34
    },
    "extraFields": [
      {
        "fieldName": "Do you require any customizations to the products?",
        "fieldValue": "No"
      }
    ],
    "contactInfo": {
      "name": "Marie Curie",
      "email": "mcurie@greatbuysinc.com",
      "companyName": "Great Buys Incorporated",
      "phoneNumber": "(512) 333-3333"
    },
    "shippingAddress": {
      "address": "512 Bluebonnet Lane",
      "apartment": "Suite 100",
      "city": "Austin",
      "state": "Texas",
      "zipCode": "78750.",
      "country": "United States",
      "lastName": "Curie",
      "addressId": "3355286",
      "label": "Default Shipping",
      "firstName": "Marie",
      "stateCode": "TX",
      "countryCode": "US",
      "phoneNumber": "(512) 333-3333"
    },
    "billingAddress": {
      "address": "512 Bluebonnet Lane",
      "apartment": "Suite 100",
      "city": "Austin",
      "state": "Texas",
      "zipCode": "78750.",
      "country": "United States",
      "lastName": "Curie",
      "addressId": "3355286",
      "label": "Default Billing",
      "firstName": "Marie",
      "stateCode": "TX",
      "countryCode": "US",
      "phoneNumber": "(512) 333-3333"
    },
    "recipients": [
      [
        "mcurie@greatbuysic.com",
        "alavoisier@greatbuysinc.com"
      ]
    ],
    "trackingHistory": {
      "date": 1745934856,
      "read": "true",
      "role": "Customer: Marie Curie",
      "message": "Can I back-order additional units via this sales quote?"
    },
    "productList": {
      "0": {
        "basePrice": 25,
        "discount": 10,
        "imageUrl": "https://mybcstore.com/sansiveria.jpg",
        "offeredPrice": 22.5,
        "options": [
          {
            "optionId": 3780,
            "optionLabel": "12",
            "optionName": "Size",
            "optionValue": 18863
          }
        ],
        "orderQuantityMaximum": 20,
        "orderQuantityMinimum": 5,
        "productId": 12345,
        "productName": "Rock Juniper Bonsai",
        "quantity": 1,
        "sku": "SAN-PL",
        "variantId": 74775
      }
    },
    "notes": "Use the in-quote messaging system to contact us about products, pricing, or other quote information.",
    "legalTerms": "Thank you for the opportunity to provide this quote! Please note the following:\n - Quotes are valid for 30 days unless otherwise stated.\n - Pricing is subject to change at any time.\n - Please note, the shipping and tax quoted are estimates only. Final shipping and tax will be calculated during checkout and may be billed post sale.\n - Due to fluctuating shipping rates, LTL shipping calculations are only estimates. Final LTL rates will be determined by quote upon shipment and may be billed post sale. Also, if a lift gate is required an additional fee will apply if not included in this quote.\n - Please contact your Technical Sales Representative, call 512-123-4567, or email sales.rep@mybcstore.com for assistance.",
    "shippingTotal": 45.95,
    "taxTotal": 10.83,
    "shippingMethod": {
      "id": "1725",
      "type": "custom",
      "description": "LTL - With Lift Gate",
      "imageUrl": "https://fedex.com/logo.png",
      "transitTime": "2 business days",
      "cost": 41.07,
      "additionalDescription": "Priority Mail International"
    },
    "storeFrontAttachFiles": {
      "id": 11606,
      "fileName": "fintech intake form - filled out.csv",
      "fileType": "text/csv",
      "fileUrl": "https://s3-us-west-2.amazonaws.com/bundleb2b-v3.0-media-files-prod/quoteattachedfile/fintech%20intake%20form%20-%20filled%20-out.csv?versionId=abcd1234"
    },
    "backendAttachFiles": {
      "id": 11606,
      "fileName": "fintech intake form - filled out.csv",
      "fileType": "text/csv",
      "fileUrl": "https://s3-us-west-2.amazonaws.com/bundleb2b-v3.0-media-files-prod/quoteattachedfile/fintech%20intake%20form%20-%20filled%20-out.csv?versionId=abcd1234"
    },
    "displayDiscount": true,
    "allowCheckout": true,
    "storeInfo": {
      "storeName": "B2B Store",
      "storeAddress": "123 Main Street Austin, TX 78704 United States of America",
      "storeCountry": "United States",
      "storeLogo": "https://cdn11.bigcommerce.com/s-abcd1234/product_images/logo.png",
      "storeUrl": "https://mybcstore.com"
    },
    "companyInfo": {
      "companyId": "123456",
      "companyName": "Great Buys Incorporated",
      "companyAddress": "512 Bluebonnet Lane",
      "copmanyCountry": "United States",
      "companyState": "Texas",
      "companyCity": "Austin",
      "companyZipCode": "78704",
      "phoneNumber": "512-200-1234",
      "companyEmail": "admin@greatbuysinc.com",
      "bcId": 14
    },
    "salesRepInfo": {
      "salesRepName": "Aristotle",
      "salesRepEmail": "aristotle@mybcstore.com",
      "salesRepPhoneNumber": "512-111-4444"
    },
    "extraFieldsInfo": [
      {
        "id": 1,
        "uuid": "string",
        "fieldName": "string",
        "labelName": "string",
        "fieldType": 0,
        "isRequired": true,
        "isUnique": true,
        "visibleToEnduser": true,
        "configType": 1,
        "defaultValue": "string",
        "maximumLength": "string",
        "numberOfRows": "string",
        "maximumValue": "string",
        "listOfValue": [
          "string"
        ],
        "valueConfigs": {
          "defaultValue": "string",
          "maximumLimit": "string",
          "listOfValue": [
            "string"
          ],
          "labelName": "string"
        }
      }
    ],
    "quoteLogo": "https://s3-us-west-2.amazonaws.com/bundleb2b-v3.0-media-files-prod/quote-logo.png"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api-b2b.bigcommerce.com/api/v2/rfq/123456"

querystring = {"date":"1745872023","storeHash":"abcd1234","uuid":"3f7a9c0e-6d21-4f5c-b8a1-2e9d4c7b1a63"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api-b2b.bigcommerce.com/api/v2/rfq/123456?date=1745872023&storeHash=abcd1234&uuid=3f7a9c0e-6d21-4f5c-b8a1-2e9d4c7b1a63';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v2/rfq/123456?date=1745872023&storeHash=abcd1234&uuid=3f7a9c0e-6d21-4f5c-b8a1-2e9d4c7b1a63"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v2/rfq/123456?date=1745872023&storeHash=abcd1234&uuid=3f7a9c0e-6d21-4f5c-b8a1-2e9d4c7b1a63")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v2/rfq/123456?date=1745872023&storeHash=abcd1234&uuid=3f7a9c0e-6d21-4f5c-b8a1-2e9d4c7b1a63")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v2/rfq/123456?date=1745872023&storeHash=abcd1234&uuid=3f7a9c0e-6d21-4f5c-b8a1-2e9d4c7b1a63', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v2/rfq/123456?date=1745872023&storeHash=abcd1234&uuid=3f7a9c0e-6d21-4f5c-b8a1-2e9d4c7b1a63");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v2/rfq/123456?date=1745872023&storeHash=abcd1234&uuid=3f7a9c0e-6d21-4f5c-b8a1-2e9d4c7b1a63")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```